package com.aspose.imaging.examples;

import com.aspose.imaging.*;
import com.aspose.imaging.brushes.SolidBrush;
import com.aspose.imaging.createoptions.BmpCreateOptions;
import com.aspose.imaging.sources.StreamSource;
import com.aspose.imaging.util.ImageUtil;
import com.aspose.imaging.util.LicenseUtil;

import java.io.FileInputStream;
import java.io.FileNotFoundException;

public class ColorsExample
{

    /**
     * Please add license to path
     */
    public static void main(String[] args)
    {
        LicenseUtil.setLicense("src\\resources\\license\\Aspose.Total.Product.Family.lic");
        Image image = drawColors();
        image.save("src\\resources\\ColorsExample.bmp");
    }

    public static Image drawColors()
    {
        RasterImage image = (RasterImage) createImage(2048,2048);
        int red = 0;
        int green = 0;
        int blue = 0;
        for(int i = 0; i < image.getWidth(); i++)
        {
            for(int j = 0; j < image.getHeight(); j++)
            {
                red++;
                if(red > 255)
                {
                    green++;
                    red = 0;
                    if(green > 255)
                    {
                        blue++;
                        green = 0;
                        if(blue > 255)
                        {
                            blue = 0;
                        }
                    }
                }
                image.setPixel(i,j, Color.fromArgb(red,green,blue));
            }
        }
        return image;
    }

    public static Image createImage(int width, int height)
    {
        BmpCreateOptions bmpCreateOptions = new BmpCreateOptions();
        bmpCreateOptions.setWidth(width);
        bmpCreateOptions.setHeight(height);
        bmpCreateOptions.setBitsPerPixel(32);
        try
        {
            bmpCreateOptions.setSource(new StreamSource(new FileInputStream("src\\resources\\sample.bmp")));
        }
        catch (FileNotFoundException e)
        {
            e.printStackTrace();
        }
        Image image = Image.create(bmpCreateOptions);
        Graphics graphics = new Graphics(image);
//        graphics.clear(backgroundColor);
        return image;
    }
}
