package com.aspose.imaging.examples;

import com.aspose.imaging.*;
import com.aspose.imaging.brushes.SolidBrush;
import com.aspose.imaging.util.ImageUtil;
import com.aspose.imaging.util.LicenseUtil;

public class DrawFiguresExamples
{
    /**
     * Please add license to path
     */
    public static void main(String[] args)
    {
        LicenseUtil.setLicense("src\\resources\\license\\Aspose.Total.Product.Family.lic");
        drawLines();
        drawEllipse();
        drawRectangles();
        drawArc();
        drawBezier();
    }

    public static void drawLines()
    {
        Image image = ImageUtil.createImage(100, 100, Color.getYellow());
        Graphics g = new Graphics(image);
        g.drawLine(new Pen(Color.getBlue()), 9, 9, 90, 90);
        g.drawLine(new Pen(Color.getGreen()), 90, 9, 9, 90);
        g.drawLine(new Pen(new SolidBrush(Color.getRed())), new Point(9, 9), new Point(9, 90));
        g.drawLine(new Pen(new SolidBrush(Color.getAqua())), new Point(9, 90), new Point(90, 90));
        g.drawLine(new Pen(new SolidBrush(Color.getBlack())),new Point(90,90), new Point(90,9));
        g.drawLine(new Pen(new SolidBrush(Color.getWhite())),new Point(90,9), new Point(9,9));
        image.save("src\\resources\\DrawLinesExample.bmp");
    }

    public static void drawEllipse()
    {
        Image image = ImageUtil.createImage(100, 100, Color.getYellow());
        Graphics g = new Graphics(image);
        g.drawEllipse(new Pen(Color.getRed()),new Rectangle(30,10,40,80));
        g.drawEllipse(new Pen(new SolidBrush(Color.getBlue())),new Rectangle(10,30,80,40));
        image.save("src\\resources\\DrawEllipseExample.bmp");
    }

    public static void drawRectangles()
    {
        Image image = ImageUtil.createImage(100, 100, Color.getYellow());
        Graphics g = new Graphics(image);
        g.drawRectangle(new Pen(Color.getRed()),new Rectangle(30,10,40,80));
        g.drawRectangle(new Pen(new SolidBrush(Color.getBlue())),new Rectangle(10,30,80,40));
        image.save("src\\resources\\DrawRectangleExample.bmp");
    }

    public static void drawArc()
    {
        Image image = ImageUtil.createImage(100, 100, Color.getYellow());
        Graphics g = new Graphics(image);
        int x = 0;
        int y = 0;
        int width = 100;
        int height = 200;
        int startAngle =  45;
        int sweepAngle = 270;

        // Draw arc to screen.
        g.drawArc(new Pen(Color.getBlack()), x, y, width, height, startAngle, sweepAngle);
        image.save("src\\resources\\DrawArcExample.bmp");
    }

    public static void drawBezier()
    {
        Image image = ImageUtil.createImage(1000, 1000, Color.getYellow());
        Graphics g = new Graphics(image);
        Pen blackPen = new Pen(Color.getBlack(), 3);
        float startX = 100;
        float startY = 100;
        float controlX1 = 200;
        float controlY1 =  10;
        float controlX2 = 350;
        float controlY2 =  50;
        float endX = 500;
        float endY = 100;
        g.drawBezier(blackPen, startX, startY,
                controlX1, controlY1,
                controlX2, controlY2,
                endX, endY);
        image.save("src\\resources\\DrawBezierExample.bmp");
    }


}
