package com.aspose.imaging.examples;

import com.aspose.imaging.*;
import com.aspose.imaging.brushes.SolidBrush;
import com.aspose.imaging.util.ImageUtil;
import com.aspose.imaging.util.LicenseUtil;

public class DrawPixelsTest
{
    /**
     * Please add license to path
     */
    public static void main(String[] args)
    {
        LicenseUtil.setLicense("src\\resources\\license\\Aspose.Total.Product.Family.lic");
        Image image = drawFigure();
        image = fillFigure((RasterImage) image);
        image.save("src\\resources\\FillFigureExample.bmp");
    }

    public static Image drawFigure()
    {
        Image image = ImageUtil.createImage(100, 100, Color.getYellow());
        Graphics g = new Graphics(image);
        g.drawLine(new Pen(Color.getBlue()), 9, 9, 90, 90);
        g.drawLine(new Pen(Color.getGreen()), 90, 9, 9, 90);
        g.drawLine(new Pen(new SolidBrush(Color.getRed())), new Point(9, 9), new Point(9, 90));
        g.drawLine(new Pen(new SolidBrush(Color.getAqua())), new Point(9, 90), new Point(90, 90));
        g.drawLine(new Pen(new SolidBrush(Color.getBlack())),new Point(90,90), new Point(90,9));
        g.drawLine(new Pen(new SolidBrush(Color.getWhite())), new Point(90, 9), new Point(9, 9));
        return image;
    }
    
    public static Image fillFigure(RasterImage image)
    {
        for(int i = 9; i < 90; i++)
        {
            for(int j = 9; j < 90; j++)
            {
                if(i - j < 0 &&  i + j > 99)
                {
                    image.setPixel(i,j, Color.getBlack());
                }
                if(i - j > 0  &&  i + j > 99)
                {
                    image.setPixel(i,j, Color.getBrown());
                }
                if(i - j > 0 &&  i + j < 99)
                {
                    image.setPixel(i,j, Color.getCoral());
                }
                if(i - j < 0  &&  i + j < 99)
                {
                    image.setPixel(i,j, Color.getViolet());
                }
            }
        }
        return image;
    }
}
