package com.aspose.imaging.examples;

import com.aspose.imaging.*;
import com.aspose.imaging.brushes.SolidBrush;
import com.aspose.imaging.createoptions.BmpCreateOptions;
import com.aspose.imaging.sources.StreamSource;
import com.aspose.imaging.util.LicenseUtil;

import java.io.*;

public class FileStreamExample
{

    /**
     * Please add license to path
     */
    public static void main(String[] args)
    {
        LicenseUtil.setLicense("src\\resources\\license\\Aspose.Total.Product.Family.lic");
        createImage1("src\\resources\\sample.bmp", "src\\resources\\targetStreamFile1.bmp", 100, 100, Color.getYellow());
        createImage2("src\\resources\\sample.bmp", "src\\resources\\targetStreamFile2.bmp", 100, 100, Color.getYellow());
    }

    public static void createImage1(String sourceStreamPath, String targetStreamPath, int width, int height, Color backgroundColor)
    {
        BmpCreateOptions bmpCreateOptions = new BmpCreateOptions();
        bmpCreateOptions.setWidth(width);
        bmpCreateOptions.setHeight(height);
        bmpCreateOptions.setBitsPerPixel(32);
        try
        {
            InputStream inputStream = new FileInputStream(sourceStreamPath);

            bmpCreateOptions.setSource(new StreamSource(inputStream));
            RasterImage image = (RasterImage) RasterImage.create(bmpCreateOptions);
            Graphics g = new Graphics(image);
            g.clear(backgroundColor);
            g.drawLine(new Pen(Color.getBlue()), 9, 9, 90, 90);
            g.drawLine(new Pen(Color.getGreen()), 90, 9, 9, 90);
            g.drawLine(new Pen(new SolidBrush(Color.getRed())), new Point(9, 9), new Point(9, 90));
            g.drawLine(new Pen(new SolidBrush(Color.getAqua())), new Point(9, 90), new Point(90, 90));
            g.drawLine(new Pen(new SolidBrush(Color.getBlack())), new Point(90, 90), new Point(90, 9));
            g.drawLine(new Pen(new SolidBrush(Color.getWhite())), new Point(90, 9), new Point(9, 9));

            OutputStream os = new FileOutputStream(targetStreamPath);
            image.save(os);
        }
        catch (FileNotFoundException e)
        {
            e.printStackTrace();
        }
        catch (IOException e)
        {
            e.printStackTrace();
        }
    }

    public static void createImage2(String sourceStreamPath, String targetStreamPath, int width, int height, Color backgroundColor)
    {
        BmpCreateOptions bmpCreateOptions = new BmpCreateOptions();
        bmpCreateOptions.setWidth(width);
        bmpCreateOptions.setHeight(height);
        bmpCreateOptions.setBitsPerPixel(32);
        try
        {
            InputStream inputStream = new FileInputStream(sourceStreamPath);

            bmpCreateOptions.setSource(new StreamSource(inputStream));
            RasterImage image = (RasterImage) RasterImage.create(bmpCreateOptions);
            Graphics g = new Graphics(image);
            g.drawLine(new Pen(Color.getBlue()), 9, 9, 90, 90);
            g.drawLine(new Pen(Color.getGreen()), 90, 9, 9, 90);
            g.drawLine(new Pen(new SolidBrush(Color.getRed())), new Point(9, 9), new Point(9, 90));
            g.drawLine(new Pen(new SolidBrush(Color.getAqua())), new Point(9, 90), new Point(90, 90));
            g.drawLine(new Pen(new SolidBrush(Color.getBlack())), new Point(90, 90), new Point(90, 9));
            g.drawLine(new Pen(new SolidBrush(Color.getWhite())), new Point(90, 9), new Point(9, 9));

            OutputStream os = new FileOutputStream(targetStreamPath);
            image.save(os);
        }
        catch (FileNotFoundException e)
        {
            e.printStackTrace();
        }
        catch (IOException e)
        {
            e.printStackTrace();
        }
    }
}
