package com.aspose.imaging.examples;

import com.aspose.imaging.*;
import com.aspose.imaging.util.ImageUtil;
import com.aspose.imaging.util.LicenseUtil;

public class SaveLoadPixelsExample
{
    /**
     * Please add license to path
     */
    public static void main(String[] args)
    {
        LicenseUtil.setLicense("src\\resources\\license\\Aspose.Total.Product.Family.lic");
        RasterImage image = (RasterImage) ImageUtil.createImage(800, 400, Color.getGreen());
        Color[] pixels = image.loadPixels(new Rectangle(1, 1, 400, 100));
        for(int i = 0; i < pixels.length; i++)
        {
            pixels[i] = Color.fromArgb(i % 255, 255 - i % 255, i % 127);
        }
        Graphics g = new Graphics(image);
        g.clear(Color.getRed());
        image.savePixels(new Rectangle(300, 200, 400, 100), pixels);
        image.save(("src\\resources\\SaveLoadPixelsExample.bmp"));
    }

}
