package com.aspose.imaging.util;

import com.aspose.imaging.*;
import com.aspose.imaging.createoptions.BmpCreateOptions;
import com.aspose.imaging.sources.StreamSource;

import java.io.ByteArrayInputStream;

public class ImageUtil
{

    public static Image createImage(int width, int height, Color backgroundColor)
    {
        BmpCreateOptions bmpCreateOptions = new BmpCreateOptions();
        bmpCreateOptions.setWidth(width);
        bmpCreateOptions.setHeight(height);
        bmpCreateOptions.setBitsPerPixel(32);
        bmpCreateOptions.setSource(new StreamSource(new ByteArrayInputStream(new byte[width * height * 4])));
        Image image = Image.create(bmpCreateOptions);
        Graphics graphics = new Graphics(image);
        graphics.clear(backgroundColor);
        return image;
    }

}
